Bug 238945 - Unhelpful error message: libvir: Xen Daemon error : POST operation failed: (xend.err "Error creating domain: (22, 'Invalid argument')")
Summary: Unhelpful error message: libvir: Xen Daemon error : POST operation failed: (x...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-04 01:55 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 17:43:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2007-05-04 01:55:21 UTC
Description of problem:
Trying to install a Xen gues terminates with the following error message:
libvir: Xen Daemon error : POST operation failed: (xend.err "Error creating
domain: (22, 'Invalid argument')")


Version-Release number of selected component (if applicable):
xen-3.0.3-8.fc6
kernel-xen-2.6.20-1.2948.fc6
virt-manager-0.2.6-3.fc6


How reproducible:
- run virt-manager on a x86_64 guest
- accidentially try to install from a i386 tree
- complete the wizard, wait until it finishes creating the image file


Actual results:
The following error message is shown:
Unhelpful error message: libvir: Xen Daemon error : POST operation failed:
(xend.err "Error creating domain: (22, 'Invalid argument')")


Expected results:
A better error message that mentions the reason could be an incompatible guest
architecture.


Additional info:
I know, I could have been more careful when selecting the install location, but
with an error message like this I felt stuck.

Comment 1 Daniel Berrange 2007-07-18 17:43:08 UTC
This is fixed in F7 and beyond - it will tell you why it failed - wrong arch, or
native vs paravirt kernel, etc. It needs xen 3.1.0 - the fix isn't practical to
backport to FC6.



Note You need to log in before you can comment on or make changes to this bug.